Get details of a specific table in a catalog
curl --request GET \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"table": {
"table_name": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>",
"nullable": true,
"comment": "<string>",
"description": "<string>",
"tags": [
"<string>"
],
"glossary_terms": [
"<string>"
]
}
],
"table_properties": {}
}
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Get details of a specific table in a catalog
Get details of a specific table in a catalog.
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
details
Get details of a specific table in a catalog
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog name.
Schema name.
Table name.
Response
Data retrieved successfully.
Table metadata details including columns and properties
Show child attributes
Show child attributes
Was this page helpful?
⌘I

